Bug 1063083 - (CVE-2013-7322) CVE-2013-7322 oath-toolkit: certain one-time-passwords not invalidated correctly
CVE-2013-7322 oath-toolkit: certain one-time-passwords not invalidated correctly
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131209,repor...
: Security
Depends On: 1063084 1063085
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-09 18:55 EST by Murray McAllister
Modified: 2015-07-31 03:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-02-09 18:55:51 EST
It was found that comments (lines starting with a hash) in /etc/users.oath could prevent one-time-passwords (OTP) from being invalidated, leaving the OTP vulnerable to replay attacks. Further information is available in the mailing list post:

http://lists.nongnu.org/archive/html/oath-toolkit-help/2013-12/msg00000.html

Possible patch:

http://lists.nongnu.org/archive/html/oath-toolkit-help/2013-12/txtUm85v7Wqcy.txt
Comment 1 Murray McAllister 2014-02-09 18:59:31 EST
Possible CVE request: http://seclists.org/oss-sec/2014/q1/279
Comment 2 Murray McAllister 2014-02-09 19:00:50 EST
Created oath-toolkit tracking bugs for this issue:

Affects: fedora-all [bug 1063084]
Affects: epel-6 [bug 1063085]
Comment 3 Murray McAllister 2014-02-10 00:56:15 EST
This issue was assigned CVE-2013-7322: http://seclists.org/oss-sec/2014/q1/296
Comment 4 Fedora Update System 2014-02-22 13:12:29 EST
oath-toolkit-2.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-04-15 11:58:25 EDT
oath-toolkit-2.4.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-10-22 14:49:27 EDT
oath-toolkit-2.0.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.